1. #1
    Candidat au Club
    Homme Profil pro
    Consultant informatique
    Inscrit en
    janvier 2017
    Messages
    3
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 54
    Localisation : Congo-Kinshasa

    Informations professionnelles :
    Activité : Consultant informatique

    Informations forums :
    Inscription : janvier 2017
    Messages : 3
    Points : 3
    Points
    3

    Par défaut Path - utilisation d'awt DEBUTANT JAVA

    Bonjour,

    Je débute en java. J'ai installé la dernière version d'Eclipe (Helios) et suis les chapitres du tuto "Programmation Java pour les enfants, les parents et les grands-parents".
    le chapitre sur la programmation d'une calculatrice simple utilise la bibliothèque awt

    Voici le début de code que j'ai tapé:

    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    import javax.swing.*;
    import java.awt.FlowLayout;
    
    
    
    public class CalculatriceSimple {
    
        /**
         * @param args
         */
        public static void main(String[] args) {
            // TODO Auto-generated method stub
            
            // création panneau
            JPanel contenuFenetre = new JPanel();
            
            // gestionnaire de disposition pour ce panneau:
            FlowLayout disposition = new FlowLayout();
            contenuFenetre.setLayout(disposition);
            
            
            
            
       
    
    
    
        }
    
    }
    ceci provoque deux erreur de compilation :

    The project was not built since its build path is incomplete. Cannot find the class file for javax.swing.JComponent. Fix the build path then try building this project

    et

    The type javax.swing.JComponent cannot be resolved. It is indirectly referenced from required .class files

    ces erreurs sont provoquées par la ligne en gras. Il s'agit d'une erreur de "PATH" mais je ne comprend pas où corriger. Dans les variables environnement window ( windows 10 familly)?
    dans le paramétrage éclipse ?

    Un petit coup de main me serait très utile.

    merci à tous

    Philippe Laffez

  2. #2
    Modérateur
    Avatar de joel.drigo
    Homme Profil pro
    Ingénieur R&D - Développeur Java/Eclipse RCP
    Inscrit en
    septembre 2009
    Messages
    10 022
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 47
    Localisation : France, Paris (Île de France)

    Informations professionnelles :
    Activité : Ingénieur R&D - Développeur Java/Eclipse RCP
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : septembre 2009
    Messages : 10 022
    Points : 24 573
    Points
    24 573
    Billets dans le blog
    2

    Par défaut

    Salut,

    Citation Envoyé par phlaffez2 Voir le message
    J'ai installé la dernière version d'Eclipe (Helios)
    Non, Helios date de 2010, c'est la version 3.6. La dernière c'est Neon, la 4.6, et on passe bientôt à Oxygen (4.7).

    Citation Envoyé par phlaffez2 Voir le message
    The project was not built since its build path is incomplete. Cannot find the class file for javax.swing.JComponent. Fix the build path then try building this project
    Ce genre de problème arrive :
    • quand il n'y a pas de jre installée dans Eclipse, ou qu'elle n'est pas reconnue (par exemple Helios ne peut faire fonctionner Java 7, ou Java 8), ou qu'elle ne situe plus au chemin indiquée lors de l'installation. Cela peut se passer
    • éventuellement aussi quand on choisi le mauvais environnement d'exécution


    Déjà, installer Neon... si la JRE ou Environnement ne sont pas détectés,

    1. installation de la JRE (ou JDK)
      • Menu Window Preferences Java Installed JREs,
      • Cliquer bouton Add, puis sélectionner le dossier home de la jre ou jdk voulu.
    2. Configuration Environnement Execution
      • Menu Window Preferences Java Installed JREs Execution Environnement
      • Selectionner le JavaSE (Java Standard Edition) correspondant à la version de Java (JavaSE-1.8 pour Java 8), à droite dans la section Compatible JREs, cocher la version installée
    3. Eventuellement, s'il faut reconfigurer un projet, sélectionner l'item dans le projet qui s'appelle "JRE System Library [quelquechose]", afficher le menu contextuel, choisir l'option Properties. Dans le dialogue qui s'affiche, sélectionner le bon environnement (normalement, le Workspace default dans ton cas, vu que tu ne devrais pas travailler avec 36 versions de Java, sinon toujours un JavaSE).
    La plupart des réponses à vos questions sont déjà dans les FAQs ou les Tutoriels, ou peut-être dans une autre discussion : utilisez la recherche interne.
    Des questions sur Java : consultez le Forum Java. Des questions sur l'EDI Eclipse ou la plateforme Eclipse RCP : consultez le Forum Eclipse.
    Une question correctement posée et rédigée et vous aurez plus de chances de réponses adaptées et rapides.
    N'oubliez pas de mettre vos extraits de code entre balises CODE (Voir Mode d'emploi de l'éditeur de messages).
    Nouveau sur le forum ? Consultez Les Règles du Club.

  3. #3
    Candidat au Club
    Homme Profil pro
    Consultant informatique
    Inscrit en
    janvier 2017
    Messages
    3
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 54
    Localisation : Congo-Kinshasa

    Informations professionnelles :
    Activité : Consultant informatique

    Informations forums :
    Inscription : janvier 2017
    Messages : 3
    Points : 3
    Points
    3

    Par défaut

    Bonjour, et merci de votre réponse.


    Citation Envoyé par joel.drigo Voir le message
    Salut,


    Non, Helios date de 2010, c'est la version 3.6. La dernière c'est Neon, la 4.6, et on passe bientôt à Oxygen (4.7).

    ...
    [/LIST]

    Déjà, installer Neon... si la JRE ou Environnement ne sont pas détectés,

    Effectivement, j'ai fait une confusion dans les versions. J'avais perdu de vue que lorsque j'ai voulu installer neon, j'ai eu une erreur et cela n'a pas fonctionné.
    A ce moment là j'étais en France et n'avais pas trop de temps à y consacrer car j'avais d'autres choses à faire (j'habite Kinhasa). Maintenant j'essaie à nouveau d'installer, et ça ne fonctionne toujours pas. (bien que j'ai effacé le répertoire en question avant l'installation, l'installateur le créée, et y copie même certains fichiers):

    Nom : eclipse.png
Affichages : 25
Taille : 2,8 Ko


    Il s'agit de l'installateur 64 bits eclipse-inst-win64_2.exe (mon système est un portable ASUS X752L 64 bits avec windows 10 family 64 bits)

    J'avais eu le même problème lors de la première installation, d'où l'installation d'une version plus ancienne (où l'ai-je eue ? Je ne me souviens pas) que je n'avais pas testée)

    voici les logs éventuellement:

    [2017-03-17 14:46:07] Executing bootstrap tasks
    [2017-03-17 14:46:07] Java(TM) SE Runtime Environment 1.8.0_121-b13
    [2017-03-17 14:46:07] Product org.eclipse.products.epp.package.java.neon
    [2017-03-17 14:46:07] Bundle org.eclipse.oomph.setup 1.6.0.v20161125-0947, build=2790, branch=33010448bcf5775ec23e485876cbb07a0340b9b5
    [2017-03-17 14:46:07] Bundle org.eclipse.oomph.setup.core 1.6.0.v20161128-0928, build=2790, branch=33010448bcf5775ec23e485876cbb07a0340b9b5
    [2017-03-17 14:46:07] Bundle org.eclipse.oomph.setup.p2 1.6.0.v20161019-0656, build=2790, branch=33010448bcf5775ec23e485876cbb07a0340b9b5
    [2017-03-17 14:46:07] Performing P2 Director (Eclipse IDE for Java Developers (Neon))
    [2017-03-17 14:46:07] Offline = false
    [2017-03-17 14:46:07] Mirrors = true
    [2017-03-17 14:46:07] Resolving 23 requirements from 3 repositories to C:\Users\Philippe\eclipse\java-neon\eclipse
    [2017-03-17 14:46:07] Requirement epp.package.java [4.6.0,4.7.0)
    [2017-03-17 14:46:07] Requirement org.eclipse.platform.feature.group [4.6.0,4.7.0)
    [2017-03-17 14:46:07] Requirement org.eclipse.rcp.feature.group [4.6.0,4.7.0)
    [2017-03-17 14:46:07] Requirement org.eclipse.buildship.feature.group
    [2017-03-17 14:46:07] Requirement org.eclipse.egit.feature.group
    [2017-03-17 14:46:07] Requirement org.eclipse.egit.mylyn.feature.group
    [2017-03-17 14:46:07] Requirement org.eclipse.jdt.feature.group
    [2017-03-17 14:46:07] Requirement org.eclipse.jgit.feature.group
    [2017-03-17 14:46:07] Requirement org.eclipse.m2e.feature.feature.group
    [2017-03-17 14:46:07] Requirement org.eclipse.m2e.logback.feature.feature.group
    [2017-03-17 14:46:07] Requirement org.eclipse.mylyn.bugzilla_feature.feature.group
    [2017-03-17 14:46:07] Requirement org.eclipse.mylyn.context_feature.feature.group
    [2017-03-17 14:46:07] Requirement org.eclipse.mylyn.git.feature.group
    [2017-03-17 14:46:07] Requirement org.eclipse.mylyn.hudson.feature.group
    [2017-03-17 14:46:07] Requirement org.eclipse.mylyn.ide_feature.feature.group
    [2017-03-17 14:46:07] Requirement org.eclipse.mylyn.java_feature.feature.group
    [2017-03-17 14:46:07] Requirement org.eclipse.mylyn.wikitext_feature.feature.group
    [2017-03-17 14:46:07] Requirement org.eclipse.mylyn_feature.feature.group
    [2017-03-17 14:46:07] Requirement org.eclipse.recommenders.mylyn.rcp.feature.feature.group
    [2017-03-17 14:46:07] Requirement org.eclipse.recommenders.rcp.feature.feature.group
    [2017-03-17 14:46:07] Requirement org.eclipse.recommenders.snipmatch.rcp.feature.feature.group
    [2017-03-17 14:46:07] Requirement org.eclipse.wst.xml_ui.feature.feature.group
    [2017-03-17 14:46:07] Requirement org.eclipse.oomph.setup.feature.group
    [2017-03-17 14:46:07] Repository http://download.eclipse.org/technolo.../packages/neon
    [2017-03-17 14:46:07] Repository http://download.eclipse.org/releases/neon/201612211000
    [2017-03-17 14:46:07] Repository http://download.eclipse.org/oomph/up...lestone/latest
    [2017-03-17 14:46:32] Calculating requirements and dependencies.
    [2017-03-17 14:46:33] Computing prerequisite plan
    [2017-03-17 14:46:39] Fetching artifacts.jar from http://download.eclipse.org/technolo...packages/neon/ (10,18kB)
    [2017-03-17 14:46:43] Fetching artifacts.jar from http://download.eclipse.org/releases/neon/201612211000/ (592,01kB)
    [2017-03-17 14:46:44] Fetching artifacts.jar from http://download.eclipse.org/releases/neon/201612211000/
    [2017-03-17 14:47:13] Fetching compositeArtifacts.jar from http://download.eclipse.org/oomph/up...estone/latest/ (443B)
    [2017-03-17 14:47:16] Fetching artifacts.jar from http://download.eclipse.org/oomph/dr...2318-1.7.0-M4/ (6,12kB)
    [2017-03-17 14:47:16] Collecting 3 artifacts from http://download.eclipse.org/releases/neon/201612211000
    [2017-03-17 14:47:18] Downloading org.eclipse.platform.ide.executable.win32.win32.x86_64
    [2017-03-17 14:47:18] Downloading org.eclipse.rcp_root
    [2017-03-17 14:47:18] Downloading org.eclipse.platform_root
    [2017-03-17 14:47:19] Collected 3 artifacts for http://download.eclipse.org/releases/neon/201612211000 in 2.675s
    [2017-03-17 14:47:19] Collecting 1 artifacts from http://download.eclipse.org/technolo.../packages/neon
    [2017-03-17 14:47:26] Downloading epp.package.java.executable.win32.win32.x86_64
    [2017-03-17 14:47:26] Collected 1 artifacts for http://download.eclipse.org/technolo.../packages/neon in 7.411s
    [2017-03-17 14:47:28] An error was detected while performing the engine operation and the changes are being rolled back. See the log for details.
    [2017-03-17 14:47:28] ERROR: org.eclipse.equinox.p2.engine code=4 An error occurred during the org.eclipse.equinox.internal.p2.engine.phases.CheckTrust phase.
    at org.eclipse.oomph.util.OomphPlugin.coreException(OomphPlugin.java:280)
    at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:547)
    at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:340)
    at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:729)
    at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3305)
    at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3233)
    at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3214)
    at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3114)
    at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1271)
    at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.access$31(SimpleVariablePage.java:1148)
    at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage$20.run(SimpleVariablePage.java:1093)
    ERROR: org.eclipse.equinox.p2.engine code=0 session context wasprofile=C__Users_Philippe_eclipse_java-neon_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.CheckTrust, operand=, action=).
    ERROR: org.eclipse.equinox.p2.engine code=0 Error reading signed content.
    java.util.zip.ZipException: Exception in opening zip file: C:\Users\Philippe\.p2\pool\plugins\org.eclipse.epp.mpc.help.ui_1.5.3.v20161116-1851.jar
    at org.eclipse.osgi.framework.util.SecureAction.getZipFile(SecureAction.java:317)
    at org.eclipse.osgi.internal.signedcontent.SignedBundleHook.getSignedContent(SignedBundleHook.java:212)
    at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.checkCertificates(CertificateChecker.java:73)
    at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.start(CertificateChecker.java:54)
    at org.eclipse.equinox.internal.p2.engine.phases.CheckTrust.completePhase(CheckTrust.java:50)
    at org.eclipse.equinox.internal.p2.engine.Phase.postPerform(Phase.java:251)
    at org.eclipse.equinox.internal.p2.engine.Phase.perform(Phase.java:101)
    at org.eclipse.equinox.internal.p2.engine.PhaseSet.perform(PhaseSet.java:47)
    at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:75)
    at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:44)
    at org.eclipse.equinox.internal.provisional.p2.director.PlanExecutionHelper.executePlan(PlanExecutionHelper.java:42)
    at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:543)
    at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:340)
    at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:729)
    at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3305)
    at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3233)
    at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3214)
    at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3114)
    at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1271)
    at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.access$31(SimpleVariablePage.java:1148)
    at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage$20.run(SimpleVariablePage.java:1093)
    Caused by: java.util.zip.ZipException: error in opening zip file
    at java.util.zip.ZipFile.open(Native Method)
    at java.util.zip.ZipFile.<init>(Unknown Source)
    at java.util.zip.ZipFile.<init>(Unknown Source)
    at java.util.zip.ZipFile.<init>(Unknown Source)
    at org.eclipse.osgi.framework.util.SecureAction.getZipFile(SecureAction.java:304)
    at org.eclipse.osgi.internal.signedcontent.SignedBundleHook.getSignedContent(SignedBundleHook.java:212)
    at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.checkCertificates(CertificateChecker.java:73)
    at org.eclipse.equinox.internal.p2.engine.phases.CertificateChecker.start(CertificateChecker.java:54)
    at org.eclipse.equinox.internal.p2.engine.phases.CheckTrust.completePhase(CheckTrust.java:50)
    at org.eclipse.equinox.internal.p2.engine.Phase.postPerform(Phase.java:251)
    at org.eclipse.equinox.internal.p2.engine.Phase.perform(Phase.java:101)
    at org.eclipse.equinox.internal.p2.engine.PhaseSet.perform(PhaseSet.java:47)
    at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:75)
    at org.eclipse.equinox.internal.p2.engine.Engine.perform(Engine.java:44)
    at org.eclipse.equinox.internal.provisional.p2.director.PlanExecutionHelper.executePlan(PlanExecutionHelper.java:42)
    at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:543)
    at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:340)
    at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:729)
    at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3305)
    at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3233)
    at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3214)
    at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3114)
    at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1271)
    at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.access$31(SimpleVariablePage.java:1148)
    ... 1 more

    [2017-03-17 14:47:28]


    Je constate que dans ce fichier il y a une erreur sur un fichier zip que je vais reporter chez eclipse.org

    Je fouille dans cette direction, en espérant ne pas avoir abusé. Si ça ne fonctionne pas, je vais regarder plus en détail la suite de la solution proposée.

  4. #4
    Modérateur
    Avatar de joel.drigo
    Homme Profil pro
    Ingénieur R&D - Développeur Java/Eclipse RCP
    Inscrit en
    septembre 2009
    Messages
    10 022
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 47
    Localisation : France, Paris (Île de France)

    Informations professionnelles :
    Activité : Ingénieur R&D - Développeur Java/Eclipse RCP
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : septembre 2009
    Messages : 10 022
    Points : 24 573
    Points
    24 573
    Billets dans le blog
    2

    Par défaut

    Personnellement, je n'utilise jamais les versions installables, toujours les versions packagées en zip, ou non packagées. Ne serait-ce parce que je peux avoir plusieurs dossiers avec la même version d'Eclipse, multiplié par le nombre de versions, et que je passe sans arrêt de l'un à l'autre.

    Poujr le problème de zip, je pencherais plus pour une coupure au téléchargement qu'un problème dans le zip sur le serveur d'Eclipse (ou alors peut-être sur le backup local).
    La plupart des réponses à vos questions sont déjà dans les FAQs ou les Tutoriels, ou peut-être dans une autre discussion : utilisez la recherche interne.
    Des questions sur Java : consultez le Forum Java. Des questions sur l'EDI Eclipse ou la plateforme Eclipse RCP : consultez le Forum Eclipse.
    Une question correctement posée et rédigée et vous aurez plus de chances de réponses adaptées et rapides.
    N'oubliez pas de mettre vos extraits de code entre balises CODE (Voir Mode d'emploi de l'éditeur de messages).
    Nouveau sur le forum ? Consultez Les Règles du Club.

  5. #5
    Candidat au Club
    Homme Profil pro
    Consultant informatique
    Inscrit en
    janvier 2017
    Messages
    3
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 54
    Localisation : Congo-Kinshasa

    Informations professionnelles :
    Activité : Consultant informatique

    Informations forums :
    Inscription : janvier 2017
    Messages : 3
    Points : 3
    Points
    3

    Par défaut

    J'ai fini par trouver quoi faire:

    visiblement il y a un problème avec l'installateur standard (qui fait 64 MO et télécharge un certain nombre de choses pendant l'installation, probablement provenant de la connexion lente que je subit (sans que j'en sois sur)

    J'ai finalement téléchargé l'installateur complet (qui lui fait 160 MO +/-) et alors tout fonctionne.

    Merci encore pour la réponsz

+ Répondre à la discussion
Cette discussion est résolue.

Discussions similaires

  1. Utilisation de MD5 en java
    Par zola dans le forum Sécurité
    Réponses: 9
    Dernier message: 26/02/2011, 14h40
  2. [Couche réseau]Comment utiliser du CRC en Java?
    Par Yanos dans le forum Langage
    Réponses: 6
    Dernier message: 30/06/2006, 16h23
  3. Réponses: 7
    Dernier message: 21/06/2005, 17h04
  4. [debutant] Java et MySQL
    Par micknic dans le forum JDBC
    Réponses: 6
    Dernier message: 16/04/2005, 14h29
  5. [Debutant Java JOGL] problème glVertexPointer()
    Par Stef784ever dans le forum OpenGL
    Réponses: 2
    Dernier message: 21/04/2004, 17h43

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo